Bug 428330 - s-c-n can't recreate eth0 after that interface is deleted
s-c-n can't recreate eth0 after that interface is deleted
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-10 16:07 EST by Robert P. J. Day
Modified: 2009-01-09 00:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:45:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2008-01-10 16:07:46 EST
Gateway MX7120 laptop with network devices:

* Marvell 88E8036 PCI-E Fast Ethernet Controller
* Broadcom BCM4138 [Airforce One 54g] wireless LAN Controller

While I was testing the wireless interface, I used s-c-n to remove the eth0
interface, since I recalled that I could remove it and later recreate it under
F7.  On F8, however, I can't find any sequence of operations that lets me
recreate eth0 .

If I remove all of the interfaces and start s-c-n, the "Devices" tab shows no
devices at all, which is what I expected.  However, the "Hardware" tab shows the
single piece of hardware:

  Broadcom BCM4318 / Ethernet / eth0 / OK

I can't seem to do anything that will recreate my original (wired) eth0
interface.  If I go under "Devices" and select "New" and "Ethernet", one of the
choices I'm given is the Broadcom interface.  There's nothing I can see that
gives me a choice of that Marvell network controller to rebuild eth0.  Shouldn't
I be able to do that?

Possibly more to follow depending on some more tests.
Comment 1 Robert P. J. Day 2008-01-10 16:15:08 EST
Additional info related to configuring the wireless interface:

I've installed the "b43" firmware to support the Broadcom chip, and added the line 

  alias wlan0 b43

to /etc/modprobe.conf.  Once I've done that, then with s-c-n, I can add a new
"Wireless" device and I'm given the choice of "b43 (wlan0)", which is what I
expect, and that configuration works fine and the wireless interface comes up.

I then have a working wlan0 interface, but "ifconfig" also shows me an eth0
interface, although there's nothing I can do with it, and it has no
DHCP-assigned IP address.  This seems to be just another instance of the
original problem -- I can't seem to find a way to recreate the Marvell
controller eth0 interface that I deleted through s-c-n.
Comment 2 Bug Zapper 2008-11-26 04:22:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-01-09 00:45:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.